It's been a long while but no, I've not abandoned the project! In fact, for
past couple of weeks, I've been working on some huge things, and it's time
to reveal them all!

## Biggest rework so far: The packaging system
MatterLinux package manager, one of the core components of the distribution was not written
a long time ago. It was written around the end of 2023, and the first release was just before
the first MatterLinux release. Even though it's not that old, it's honestly not the best code
I've written, and I've learned a lot since then. So I decided to rewrite it about a month ago.

But while working on the rewrite, I began to question other parts of the MatterLinux package ecosystem,
you see MatterLinux has a simple packaging system, it's not the best or not the most convenient but it
gets the job done. When I originally I designed it, I didn't know much about software packaging, I still
don't, however now I know enough to point out some of the big issues with the MatterLinux packaging.

So while working on the rewrite I decided to take the things a step further, and rework the entire
packaging system.

And after long weeks of work, I think the project getting close to the release of the new
MatterLinux packaging tools and scripts.

So as of today, I made the few of the new projects public over on Gitea:
- [libmp](https://git.matterlinux.xyz/matter/libmp): MatterLinux package management library (will be used to build the new package manager)
- [mp-pool](https://git.matterlinux.xyz/matter/mp-pool): Package pool build script(s) (will replace mp-repo)
- [mp-build](https://git.matterlinux.xyz/matter/mp-build): Package build script(s) (will replace mp-repo)
- [base-new](https://git.matterlinux.xyz/matter/base-new): New base repo (will replace base, eventually will be renamed base)

You might be wondering what's special or different about this new packaging system. Well there are a lot of things, however
you will have to wait till I release the new wiki pages, or you can go read some source code and figure it out yourself.

All the new tools, scripts, wiki pages and the everything will be released with the next release (24.05), so yeah, look out for that!

## Finally some package updates!
While repackaging everything for the new packaging system, I decided to update some of the packages as well. So yeah, there
will be a full repo update in the next release. After the next release, I will also start working on some security updates as well.

## When???
I can't really provide an actual date for the next release, I keep going back and forward about the actual design of different things,
so yeah, it may take a while.

I think that's about it for now, I will keep posting about new stuff as I keep working. Thank you for reading and I hope I'll see you
in the next post.
